--- a/Makefile
+++ b/Makefile
@@ -18,18 +18,18 @@
 BISON=/usr/bin/bison
 #YACC := $(shell if [ -x $(BYACC) ]; then echo $(BYACC); else echo $(BISON); fi)
 YACC=$(BISON)
-MKNOD=/bin/mknod
+MKNOD=true
 #for dietlibc
 #CC=/usr/bin/diet /usr/bin/gcc
 CC=/usr/bin/gcc
 FIND=/usr/bin/find
-STRIP=/usr/bin/strip
+STRIP=true
 LIBS := $(shell if [ "`uname -m`" != "sparc64" -a "`uname -m`" != "x86_64" ]; then echo "-lfl" ; else echo "" ; fi)
 OPT_FLAGS := -O2
 # for older versions of grsecurity, comment the above line and uncomment the below:
 #OPT_FLAGS := $(shell if [ "`uname -m`" != "sparc64" ] && [ "`uname -m`" != "x86_64" ]; then echo "-O2" ; else echo "-O2 -m64" ; fi)
-CFLAGS := $(OPT_FLAGS) -fPIE -Wcast-qual -DGRSEC_DIR=\"$(GRSEC_DIR)\" -D_LARGEFILE64_SOURCE
-LDFLAGS= -pie
+CFLAGS := $(OPT_FLAGS) -fPIE -Wcast-qual -DGRSEC_DIR=\"$(GRSEC_DIR)\" -D_LARGEFILE64_SOURCE $(CFLAGS)
+LDFLAGS+= -pie
 INSTALL = /usr/bin/install -c
 
 # FHS
@@ -167,10 +167,11 @@
 			$(MKNOD) -m 0622 $(DESTDIR)/dev/grsec c 1 13 ; \
 		fi \
 	fi
-	@if [ -d $(DESTDIR)/etc/udev/rules.d ] ; then \
-		echo "ACTION!=\"add|change\", GOTO=\"permissions_end\"" > $(DESTDIR)/etc/udev/rules.d/80-grsec.rules ; \
-		echo "KERNEL==\"grsec\",          MODE=\"0622\"" >> $(DESTDIR)/etc/udev/rules.d/80-grsec.rules ; \
-		echo "LABEL=\"permissions_end\"" >> $(DESTDIR)/etc/udev/rules.d/80-grsec.rules ; \
+	@mkdir -p $(DESTDIR)/lib/udev/rules.d
+	@if [ -d $(DESTDIR)/lib/udev/rules.d ] ; then \
+		echo "ACTION!=\"add|change\", GOTO=\"permissions_end\"" > $(DESTDIR)/lib/udev/rules.d/80-grsec.rules ; \
+		echo "KERNEL==\"grsec\",          MODE=\"0622\"" >> $(DESTDIR)/lib/udev/rules.d/80-grsec.rules ; \
+		echo "LABEL=\"permissions_end\"" >> $(DESTDIR)/lib/udev/rules.d/80-grsec.rules ; \
 	fi
 	@if [ -f $(DESTDIR)/sbin/udevadm ] ; then \
 		$(DESTDIR)/sbin/udevadm trigger --action=change ; \
